%global pypi_name xnat

Name:           python-%{pypi_name}
Version:        0.3.11
Release:        1%{?dist}
Summary:        A new XNAT client that exposes XNAT objects/functions as python objects/functions.
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{pypi_name}/%{version}
Source0:        https://pypi.python.org/packages/source/x/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-isodate
Requires:	python3-requests
Requires:  	python3-progressbar2
Requires:  	python3-sphinx_rtd_theme
Requires:  	python3-six

%description
A new XNAT client that exposes XNAT objects/functions as python objects/functions. 
The aim is to abstract as much of the REST API away as possible and make xnatpy feel 
like native Python code. This reduces the need for the user to know the details 
of the REST API. Low level functionality can still be accessed via the connection object 
which has get, head, put, post, delete methods for more directly calling the REST API.

%package -n python3-%{pypi_name}

Summary: %{summary} - Python 3 version
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A new XNAT client that exposes XNAT objects/functions as python objects/functions. 
The aim is to abstract as much of the REST API away as possible and make xnatpy feel 
like native Python code. This reduces the need for the user to know the details 
of the REST API. Low level functionality can still be accessed via the connection object 
which has get, head, put, post, delete methods for more directly calling the REST API.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
 
%files -n python3-%{pypi_name}
%license LICENSE
%doc README
%{_bindir}/xnat_cp_project
%{python3_sitelib}/xnat/
%{python3_sitelib}/xnat*.egg-info

%changelog
* Mon Nov 19 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.3.11-1
- New upstream
